/*
 * Copyright
 *   2009 axYus - www.axyus.com
 *   2009 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.dgfip.xemelios.batch.imports.utils;

    
public class XemImportsFilesVOPK implements java.io.Serializable {
            
    public static final int IMPORT_ID_LEN = 200;
    public static final int SUB_FILE_NAME_LEN = 2147483647;
    public static final int FILE_TYPE_LEN = 200;
    public static final int STATUS_LEN = 10;
    public static final int COLLECTIVITE_LEN = 15;
    public static final int BUDGET_LEN = 24;
    public static final int COLLECTIVITE_LIB_LEN = 250;
    public static final int BUDGET_LIB_LEN = 250;
    public static final int ERROR_MESSAGE_LEN = 2147483647;
            
                
        
        
    /**
     * MAPS IMPORT_ID column.
     */
    protected java.lang.String importId;
    protected boolean isImportIdSet = false;
    protected boolean isImportIdModified = false;
    
            
                
        
        
    /**
     * MAPS SUB_FILE_NAME column.
     */
    protected java.lang.String subFileName;
    protected boolean isSubFileNameSet = false;
    protected boolean isSubFileNameModified = false;
    
            
            
        
    /**
     * Default Constructor
     */
    public XemImportsFilesVOPK() {
        super();
    }
    /**
     * Initializes PK with values in fields.
     */
    public XemImportsFilesVOPK(java.lang.String importId, java.lang.String subFileName) {
        this();
        setInnerImportId(importId);
        setInnerSubFileName(subFileName);

    }
    
            
                
        
        
    public java.lang.String getImportId() { return importId; }
    public void setImportId(java.lang.String importId) {
        this.importId=importId;
        this.isImportIdModified = true;
    }
    protected void setInnerImportId(java.lang.String importId) {
        this.importId=importId;
        this.isImportIdSet = true;
    }
    public java.lang.String getStrImportId(java.lang.String returnInCaseOfNull) {
        return importId!=null ? importId.toString() : returnInCaseOfNull;
    }
    
            
                
        
        
    public java.lang.String getSubFileName() { return subFileName; }
    public void setSubFileName(java.lang.String subFileName) {
        this.subFileName=subFileName;
        this.isSubFileNameModified = true;
    }
    protected void setInnerSubFileName(java.lang.String subFileName) {
        this.subFileName=subFileName;
        this.isSubFileNameSet = true;
    }
    public java.lang.String getStrSubFileName(java.lang.String returnInCaseOfNull) {
        return subFileName!=null ? subFileName.toString() : returnInCaseOfNull;
    }
    
            
    public boolean equals(Object o) {
        if(o instanceof XemImportsFilesVOPK) {
            boolean bRet = true;
            XemImportsFilesVOPK other = (XemImportsFilesVOPK)o;
            
                
            bRet = bRet && (getImportId().equals(other.getImportId()));
            
                
            bRet = bRet && (getSubFileName().equals(other.getSubFileName()));
            
            return bRet;
        }
        return false;
    }
    public int hashCode() {
        int ret = 0;
            
                
        ret += getImportId().hashCode();
            
                
        ret += getSubFileName().hashCode();
            
        return ret;
    }
}
        